/*changes on carousel main part*/
:host ::ng-deep .ads {
  display: flex;
  align-items: center;
  color: white;
  width: 60vw;
  margin-top: 0;
  padding-top: 0;
}

/*header, items and footer*/

:host ::ng-deep .ads>div {
  margin-top: 1vh;
}

/*picture item*/

#picture {
  width: 100%;
}

#picture2 {
  width: 100%;
}

#ad-wrapper2 {
  display: flex;
  justify-content: space-around;
}

/*main part size*/
:host ::ng-deep .ads>div.p-carousel-content>div>div {
  width: 50vw;
}

/*content container that contains picture, and navigation buttons*/
:host ::ng-deep .ads>.p-carousel-content {
  display: flex;
  justify-content: space-around;
  height: 70vh;
}

/*right arrow button*/
:host ::ng-deep .ads>div.p-carousel-content>div>button.p-ripple.p-carousel-next.p-link {
  background: rgba(82, 30, 99, 0.9);
  color: white;
}

:host ::ng-deep .ads>div.p-carousel-content>div>button.p-ripple.p-carousel-next.p-link:hover {
  transform: scale(0.9, 0.9);
}

/*left arrow button*/

:host ::ng-deep .ads>div.p-carousel-content>div>button.p-ripple.p-carousel-prev.p-link {
  background: rgba(82, 30, 99, 0.9);
  color: white;
}

:host ::ng-deep .ads>div.p-carousel-content>div>button.p-ripple.p-carousel-prev.p-link:hover {
  transform: scale(0.9, 0.9);
}

::ng-deep .carousel-control-prev {
  display: none !important;
}

:host ::ng-deep .ads>div.p-carousel-content>ul>li>button {
  background: rgba(82, 30, 99, 0.9);
}

:host ::ng-deep .ads>div.p-carousel-content>ul>li.ng-star-inserted.p-carousel-indicator.p-highlight>button {
  background: white;
}

h1 {
  font: xx-large bolder;
  color: rgba(82, 30, 99, 0.9);
}

:host ::ng-deep .p-carousel-content>ul>li>button {
  display: none !important;
}

:host ::ng-deep .select-hide .p-carousel-prev {
  display: none !important;
}

/*picture of car size and position*/
.picture_wrapper {
  margin-top: 5vh;
  display: flex;
  justify-content: center;
  height: 100%;
  width: 95%;
}

#car-description {
  margin-top: 1vh;
  border-top: rgba(82, 30, 99, 0.9) 2px;
  color: rgba(82, 30, 99, 0.9);
}

/*table*/

.table_attributes {
  width: 100%;
}

.table_attributes {
  margin-top: 1vh;
  display: flex;
  justify-content: center;
  border-top-left-radius: 50%;
  border-top-right-radius: 50%;
}

.tg {
  border-collapse: collapse;
  border-spacing: 0;
  border-bottom:1px solid #521e63;
  border-left:1px solid #521e63;
  border-right:1px solid #521e63;
}

.tg td {
  font-size: 14px;
  overflow: hidden;
  padding: 10px 5px;
  word-break: normal;
}

.tg th {
  cursor: pointer;
  font-family: Arial, sans-serif;
  font-size: 14px;
  font-weight: normal;
  overflow: hidden;
  padding: 10px 5px;
  word-break: normal;

}
.tg th:hover{
  opacity:0.8;
}

.tg .tg-dk6e {
  color: #ffffff;
  text-align: center;
  vertical-align: top;
  background: rgba(150, 150, 150, 0.7);
}

.tg .tg-licd {
  background: #521e63;;
  color: #ffffff;
  text-align: center;
  vertical-align: top;
  border:none;
  cursor: pointer;
}
.tg .tg-licd:hover{
  opacity:0.8;
}

.tg .tg-dk6e2 {
  color: #ffffff;
  font-weight: bold;
  text-align: center;
  vertical-align: top
}

.tg .tg-licd2 {
  background-color: #ffffff;
  color: #521e63;
  font-weight: bold;
  text-align: center;
  vertical-align: top
}

#delete_ad_wrapper {
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  margin: 0 auto;
  margin-top: 2vh;
}